Subject: Re: [PATCH] powerpc:Fix rheap alignment problem

From: Christoph Hellwig <[email-masked]>
Date: Sat, 1 Jul 2006 12:25:58 +0200

On Sat, Jul 01, 2006 at 05:21:06PM +1000, Benjamin Herrenschmidt wrote:
> On Sat, 2006-07-01 at 14:35 +0800, Linux powerpc wrote:
> > Yes, it was used for allocating dual port RAM for CPM.  And now we are
> > adding QE support to powerpc arch which need to use rheap(QE is next
> > generation for CPM).  Please see the patches I <[email-masked]>
> > just posted for 8360epb support.  Moreover, previous CPM support is
> > adding to powerpc arch too. 
> 
> Ok, well, I don't have anything specifically against that code, I was
> just wondering if it may not duplicate something we already have (yet
> another space allocator basically)... 

Yepp.  Without looking at the rheap allocator in deatail, any reason
it can't use lib/genalloc.c?